Name:		libtheora
Version:	1.1.1
Release:	1
Summary:	The Theora Video Compression Codec.
Group:		System Environment/Libraries
License:	BSD
URL:		http://www.theora.org/
Vendor:		Xiph.org Foundation <team@xiph.org>
Source0:	http://downloads.xiph.org/releases/theora/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	libogg-devel >= 1.1.3
BuildRequires:	libvorbis-devel >= 1.2.0
BuildRequires:	SDL-devel >= 1.2

Requires:       libogg >= 1.1.3
Requires:       libvorbis >= 1.2.0
Requires:       SDL >= 1.2

%description
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec; Currently the two are
nearly identical, varying only in encapsulating decoder tables in the
bitstream headers, but Theora will make use of this extra freedom
in the future to improve over what is possible with VP3.

The library is available as 32-bit and 64-bit.


%package devel
Summary:        Development tools for Theora applications.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libogg-devel >= 1.1.3

%description devel
The libtheora-devel package contains the header files and documentation
needed to develop applications with Ogg Theora.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%package -n theora-tools
Summary: Command line tools for Theora videos
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: libpng >= 1.2.25

%description -n theora-tools
The theora-tools package contains simple command line tools for use
with theora bitstreams.


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static

# work around libtool weirdness - couldn't figure it out differently
cd examples
make getopt.o
make getopt1.o
cd ..

make %{?_smp_mflags}

cp lib/.libs/libtheora.so.0 .
cp lib/.libs/libtheoradec.so.1 .
cp lib/.libs/libtheoraenc.so.1 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static

# work around libtool weirdness - couldn't figure it out differently
cd examples
make getopt.o
make getopt1.o
cd ..

make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q lib/.libs/libtheora.a ./libtheora.so.0
${AR} -q lib/.libs/libtheoradec.a ./libtheoradec.so.1
${AR} -q lib/.libs/libtheoraenc.a ./libtheoraenc.so.1


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp examples/.libs/dump_psnr ${RPM_BUILD_ROOT}%{_bindir}/theora_dump_psnr
cp examples/.libs/dump_video ${RPM_BUILD_ROOT}%{_bindir}/theora_dump_video
cp examples/.libs/encoder_example ${RPM_BUILD_ROOT}%{_bindir}/theora_encode
cp examples/.libs/png2theora ${RPM_BUILD_ROOT}/%{_bindir}/png2theora
chmod 0755 ${RPM_BUILD_ROOT}/%{_bindir}/*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir} || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING README
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc doc/draft-ietf-avt-rtp-theora-00.txt doc/vp3-format.txt doc/spec/Theora.pdf
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
/usr/include/*
/usr/lib/*.la


%files -n theora-tools
%defattr(-,root,system,-)
%{_bindir}/*
/usr/bin/*


%changelog
* Wed Dec 16 2009 Michael Perzl <michael@perzl.org> - 1.1.1-1
- updated to version 1.1.1

* Mon Sep 28 2009 Michael Perzl <michael@perzl.org> - 1.1-1
- updated to version 1.1 and added theora-tools RPM

* Tue Nov 04 2008 Michael Perzl <michael@perzl.org> - 1.0-1
- updated to version 1.0

* Wed May 28 2008 Michael Perzl <michael@perzl.org> - 1.0beta3-1
- updated to version 1.0beta3

* Thu Jan 17 2008 Michael Perzl <michael@perzl.org> - 1.0beta2-1
- first version for AIX V5.1 and higher
